import requests
from utils.UrlConfig import *
import json
import pandas as pd
from utils.DataBaseConfig import *


def get_lower_case_name(name):
    lst = []
    for index, char in enumerate(name):
        if char.isupper() and index != 0:
            lst.append("_")
        lst.append(char)
    return "".join(lst).lower()


def get_video_info(account_id, url):
    request_data = {"accountId": account_id}
    request = requests.post(url, headers=headers, data=json.JSONEncoder().encode(request_data))
    if request['code'] != 0:
        return None
    return request['data']


def get_video_info(account_id, cnt, url):
    request_data = {"accountId": account_id, "videoCnt": cnt}
    request = requests.post(url, headers=headers, data=json.JSONEncoder().encode(request_data))
    if request['code'] != 0:
        return None
    return request['data']


def get_video_info(account_id, cnt, url):
    request_data = {"accountId": account_id, "videoCnt": cnt}
    request = requests.post(url, headers=headers, data=json.JSONEncoder().encode(request_data))
    if request['code'] != 0:
        return None
    return request['data']


def get_video_info(account_id, cnt, start_time, end_time, url):
    request_data = {"accountId": account_id, "num": cnt, "startTime": start_time, "endTime": end_time}
    request = requests.post(url, headers=headers, data=json.JSONEncoder().encode(request_data))
    if request['code'] != 0:
        return None
    return request['data']


def get_campaign_and_group_name_rule(account_id):
    sql = """select campaign_name, unit_name 
             from ctop_ai_kuaishou_advertiser_strategy 
             where account_id = %s 
             and status = 1
             limit 1
               """ % account_id
    df = pd.read_sql(sql, engine)
    if df.empty:
        return None, None

    campaign_name = df['campaign_name'].values[0]
    group_name = df['unit_name'].values[0]
    return campaign_name, group_name
